> For the complete documentation index, see [llms.txt](https://docs.chord.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chord.co/model-your-data/commerce-data-models/orders.md).

# Orders

### Overview

Chord utilizes transactional data from the OMS (Chord OMS, Shopify, etc.) to derive the orders dataset.

### Created vs. completed orders

Chord has two different order concepts:

* **Created Order:** When the order was first created in the OMS. This date will be most closely aligned with how OMSes report orders.
* **Completed Order:** When the order is considered complete, either when it's closed or fully fulfilled. This timestamp is useful for financial reporting, such as revenue recognition.
  * For Shopify, the `closed_at` timestamp is generated for orders in Shopify that are automatically archived. If this feature is not enabled, the last updated closed fulfillment date is used as the completed at date.
  * For Chord OMS, the order is considered completed when the `completed_at` date is not null. This means that the order does not necessarily have a state = 'complete', since states can change after the order completion (for example in the case of a refund).

### Orders vs. sales explores

The "Orders" explore contains all orders regardless of status, whereas the "Sales" explore includes only completed orders.

{% hint style="success" %}
if you have any questions or need help, please reach out to us at <help@chord.co>
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.chord.co/model-your-data/commerce-data-models/orders.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
